Package twisted :: Package web :: Package woven :: Module guard |
[frames | no frames]

## Module twisted.web.woven.guard

Resource protection for Woven. If you wish to use twisted.cred to protect your Woven application, you are probably most interested in `UsernamePasswordWrapper`.

Classes
`GuardSession` | A user's session with a system.
`PerspectiveWrapper` | DEPRECATED.
`SessionWrapper` |
`UsernamePasswordWrapper` | I bring a `twisted.cred` Portal to the web.

Function Summary
| `_sessionCookie()`
| `_setSession(wrap, req, cook)`

Variable Summary
`str` | `__version__` = `'1.32'`
`str` | `DESTROY_PERSPECTIVE` = `'perspective-destroy'`
`str` | `INIT_PERSPECTIVE` = `'perspective-init'`
`str` | `INIT_SESSION` = `'session-init'`
`MethodSignature` | `loginSignature` = `<twisted.python.formmethod.MethodSignat...`
`MethodSignature` | `newLoginSignature` = `<twisted.python.formmethod.MethodSig...`

Variable Details

    ### __version__ Type: `str` Value:
        '1.32'

    ### DESTROY_PERSPECTIVE Type: `str` Value:
        'perspective-destroy'

    ### INIT_PERSPECTIVE Type: `str` Value:
        'perspective-init'

    ### INIT_SESSION Type: `str` Value:
        'session-init'

    ### loginSignature Type: `MethodSignature` Value:
        <twisted.python.formmethod.MethodSignature instance at 0x8a2683c>

    ### newLoginSignature Type: `MethodSignature` Value:
        <twisted.python.formmethod.MethodSignature instance at 0x8a271bc>

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net